Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractTariff

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractTariff

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class ContractTariff extends IdContractId implements Serializable
Объект сопоставляет договору тарифный план на определенный период. Соответствует записи из таблицы contract_tariff. Содержит следующие поля, устанавливаемые и получаемые с помощью get/set функций:

private int ID - код записи в таблице
private int contractID - код договора
private int tariffPlanID - код тарифного плана
private int tariffGroupID - код группы тарифных планов
private Period period - окончание
private String comment - комментарий
...
private int replacedFromTariff - если запись получена через смену тарифа с кого-то другого, то здесь сохраняется id предыдущей записи (чтобы можно было откатить, например)

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractTariff()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContractTariff`
  `from(ContractTariff contractTariff)`
  `String`
  `getComment()`
  `int`
  `getEntityId()`
  `int`
  `getEntityModuleId()`
  `Period`
  `getPeriod()`
  `int`
  `getPosition()`
  `int`
  `getReplacedFromContractTariffId()`
  `int`
  `getTariffGroupId()`
  `int`
  `getTariffPlanId()`
  `ContractTariff`
  `setComment(String comment)`
  `ContractTariff`
  `setContractId(int contractId)`
  `ContractTariff`
  `setEntityId(int entityId)`
  `ContractTariff`
  `setEntityModuleId(int entityModuleId)`
  `ContractTariff`
  `setId(int id)`
  Устанавливает id объекта
  `ContractTariff`
  `setPeriod(Period period)`
  `ContractTariff`
  `setPosition(int pos)`
  `ContractTariff`
  `setReplacedFromContractTariffId(int replacedFromContractTariffId)`
  `ContractTariff`
  `setTariffGroupId(int tariffGroupId)`
  `ContractTariff`
  `setTariffPlanId(int tariffPlanId)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractTariff

    public ContractTariff()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getEntityId

    public int getEntityId()

  - ### getEntityModuleId

    public int getEntityModuleId()

  - ### getPeriod

    public Period getPeriod()

  - ### getPosition

    public int getPosition()

  - ### getReplacedFromContractTariffId

    public int getReplacedFromContractTariffId()

  - ### getTariffGroupId

    public int getTariffGroupId()

  - ### getTariffPlanId

    public int getTariffPlanId()

  - ### setComment

    public ContractTariff setComment(String comment)

  - ### setContractId

    public ContractTariff setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### setEntityId

    public ContractTariff setEntityId(int entityId)

  - ### setEntityModuleId

    public ContractTariff setEntityModuleId(int entityModuleId)

  - ### setId

    public ContractTariff setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`
    Parameters:
      `id` - id

  - ### setPeriod

    public ContractTariff setPeriod(Period period)

  - ### setPosition

    public ContractTariff setPosition(int pos)

  - ### setReplacedFromContractTariffId

    public ContractTariff setReplacedFromContractTariffId(int replacedFromContractTariffId)

  - ### setTariffGroupId

    public ContractTariff setTariffGroupId(int tariffGroupId)

  - ### setTariffPlanId

    public ContractTariff setTariffPlanId(int tariffPlanId)

  - ### from

    public static ContractTariff from(ContractTariff contractTariff)